summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2012-09-08 09:51:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-08 17:28:33 -0500
commit7316445ee3cd818b6974b881cf53a30e02a4f3a9 (patch)
treec88753547784af85d1fe06f8408e4ac55397949b /libraries
parent9ffc83ff03b88ae347327e05890f86f03711c416 (diff)
downloadslackbuilds-7316445ee3cd818b6974b881cf53a30e02a4f3a9.tar.gz
slackbuilds-7316445ee3cd818b6974b881cf53a30e02a4f3a9.tar.xz
libraries/libunique3: Added (GTK+3 version of libunique).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libunique3/README11
-rw-r--r--libraries/libunique3/libunique3.SlackBuild107
-rw-r--r--libraries/libunique3/libunique3.info10
-rw-r--r--libraries/libunique3/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/libraries/libunique3/README b/libraries/libunique3/README
new file mode 100644
index 0000000000..49d3fd0b96
--- /dev/null
+++ b/libraries/libunique3/README
@@ -0,0 +1,11 @@
+Unique is a library for writing single instance application.
+If you launch a single instance application twice, the second
+instance will either just quit or will send a message to the
+running instance.
+
+Unique makes it easy to write this kind of applications, by
+providing a base class, taking care of all the IPC machinery
+needed to send messages to a running instance, and also handling
+the startup notification side.
+
+This is the gtk+3 version.
diff --git a/libraries/libunique3/libunique3.SlackBuild b/libraries/libunique3/libunique3.SlackBuild
new file mode 100644
index 0000000000..63b7ceefec
--- /dev/null
+++ b/libraries/libunique3/libunique3.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for libunique3
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+# Forked for libunique3 by Matteo Bernardini <ponce@slackbuilds.org
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libunique3
+SRCNAM=libunique
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --enable-dbus=yes \
+ --enable-bacon=yes \
+ --enable-introspection=yes \
+ --disable-dependency-tracking \
+ --with-x \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libunique3/libunique3.info b/libraries/libunique3/libunique3.info
new file mode 100644
index 0000000000..726eee2fc3
--- /dev/null
+++ b/libraries/libunique3/libunique3.info
@@ -0,0 +1,10 @@
+PRGNAM="libunique3"
+VERSION="3.0.2"
+HOMEPAGE="http://live.gnome.org/LibUnique"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/libunique/3.0/libunique-3.0.2.tar.xz"
+MD5SUM="a52dfbd0fee80f645b74227ade4f01ee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/libunique3/slack-desc b/libraries/libunique3/slack-desc
new file mode 100644
index 0000000000..bc3a83d94d
--- /dev/null
+++ b/libraries/libunique3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libunique3: libunique3 (a library for writing single instance applications)
+libunique3:
+libunique3: Unique is a library for writing single instance applications. Unique
+libunique3: makes it easy to write this kind of applications, by providing a base
+libunique3: class, taking care of all the IPC machinery needed to send messages
+libunique3: to a running instance, and also handling the startup notification
+libunique3: side. This is the gtk+3 version.
+libunique3:
+libunique3: Homepage: http://live.gnome.org/LibUnique
+libunique3:
+libunique3: